Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros
cpuid.cpp File Reference
`#include <botan/cpuid.h>`
`#include <botan/types.h>`
`#include <botan/loadstor.h>`
`#include <botan/exceptn.h>`
`#include <botan/mem_ops.h>`
`#include <botan/parsing.h>`
`#include <ostream>`

Go to the source code of this file.

## Namespaces
| Botan

## Macros
#define | CPUID_PRINT(flag) do { if(has_##flag()) { flags.push_back(#flag); } } while(0)

## Macro Definition Documentation

#define CPUID_PRINT | ( |  | flag | ) | do { if(has_##flag()) { flags.push_back(#flag); } } while(0)

Referenced by Botan::CPUID::to_string().